summaryrefslogtreecommitdiff
path: root/app-doc/selflinux
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /app-doc/selflinux
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'app-doc/selflinux')
-rw-r--r--app-doc/selflinux/Manifest1
-rw-r--r--app-doc/selflinux/metadata.xml6
-rw-r--r--app-doc/selflinux/selflinux-0.13.0-r1.ebuild28
3 files changed, 35 insertions, 0 deletions
diff --git a/app-doc/selflinux/Manifest b/app-doc/selflinux/Manifest
new file mode 100644
index 000000000000..56dc4baaecc5
--- /dev/null
+++ b/app-doc/selflinux/Manifest
@@ -0,0 +1 @@
+DIST SelfLinux-0.13.0-html.tar.gz 7379682 BLAKE2B 5baf00233fd69c3d115adef28c0644d0d4e563014c82649d7e4c906189a36543bd30528ea901f8b2b7c849721b220eeccc3787f67b016ca7161515e23fa8871c SHA512 bb7f16006863f958dd24c8f82db5e4538f00fc66f1b2efe7c52ed28d241fdcfdd366e973c91b730118ff485c2343f5a0fac293f080f0d6e86d24fca4beaaab72
diff --git a/app-doc/selflinux/metadata.xml b/app-doc/selflinux/metadata.xml
new file mode 100644
index 000000000000..3a8349e6ffc5
--- /dev/null
+++ b/app-doc/selflinux/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/app-doc/selflinux/selflinux-0.13.0-r1.ebuild b/app-doc/selflinux/selflinux-0.13.0-r1.ebuild
new file mode 100644
index 000000000000..dd4b11186f89
--- /dev/null
+++ b/app-doc/selflinux/selflinux-0.13.0-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="SelfLinux-${PV}"
+
+DESCRIPTION="A german-language hypertext tutorial about Linux"
+HOMEPAGE="https://www.selflinux.org/"
+SRC_URI="https://www.selflinux.org/download/${MY_P}/${MY_P}-html.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="FDL-1.1+"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 ppc ~riscv x86"
+
+HTML_DOCS=( "." )
+
+BDEPEND="media-gfx/pngcrush"
+
+src_prepare() {
+ default
+
+ # Fix all png files, as they report "broken IDAT window length"
+ for png_file in bilder/mwm_mwm_mwm*; do
+ pngcrush -fix -force -ow "${png_file}" || die
+ done
+}